## spherepack 3.2

=== Src/Makefile ===
libsphere.a:    *.f
	g77 -c *.f
	ld -r -o libsphere.a *.o
