=== debian/changelog ===
spherepack (3.2-9build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:28:17 +0000

spherepack (3.2-9build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 19:36:37 +0530

spherepack (3.2-9) unstable; urgency=medium

  * Move to Standards-Version: 3.9.8. No changes required.
  * Ensure *.f, *.o are compiled in LC_ALL=C order for bit-reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 14:18:45 +0000

spherepack (3.2-8) unstable; urgency=medium

  * Add '--default-double-8' to avoid performance issue with libquadmath:
    see http://glennklockwood.blogspot.ie/2014/02/linux-perf-libquadmath-and-gfortrans.html

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 10:00:13 +0000

spherepack (3.2-7) unstable; urgency=medium

  * Fix rules so that shared lib always built first, not python wrappers.
    Closes: #734824.
  * Move to Standards-Version: 3.9.5 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jan 2014 09:42:06 +0000

spherepack (3.2-6) unstable; urgency=low

  * Fortran ABI change: Now build with --default-real-8; 
  * Add python3-sphere  package.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Jul 2013 07:34:38 +0100

spherepack (3.2-5) unstable; urgency=low

  * Transtion from python-support to dh_python2. 
  * Standards-Version: 3.9.4. No changes required.
  * Fortify the shared library.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 May 2013 06:54:01 +0100

spherepack (3.2-4) unstable; urgency=low

  * --with=python-support needs to be explicity stated when moving
    to debhelper COMPAT=9. Closes: #662680.
  * Move to Standards-Version: 3.9.3. No changes required.
  * Add C/F77 interface support. Closes: #611812. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Mar 2012 09:31:25 +0000

spherepack (3.2-3) unstable; urgency=low

  * B-D on python-support. Closes: #642474
  * Add --as-needed to lib build line.
  * Multi-Arch enabled.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Sep 2011 11:25:59 +0100

spherepack (3.2-2) unstable; urgency=low

  * Call dh_numpy to add versioned dependency on numpy. Closes: #641766
  * Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Sep 2011 11:18:19 +0100

spherepack (3.2-1) unstable; urgency=low

  * Initial release. (Closes: #602285)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Nov 2010 12:38:37 +0000
