=== debian/control ===
Source: spherepack
Section:  utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.2~) , gfortran, 
 python-numpy, python3-numpy, python3-all-dev,
 python-setuptools, python3-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage:  http://www.cisl.ucar.edu/css/software/spherepack/

Package: libsphere-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsphere0d (= ${binary:Version})
Description: Development files for Spherepack scientific library
 SPHEREPACK is a collection of FORTRAN programs that facilitates computer 
 modeling of geophysical processes. The package contains programs for computing
 certain common differential operators including divergence, vorticity, 
 gradients, and the Laplacian of both scalar and vector functions. Programs are
 also available for inverting these operators. For example, given divergence
 and vorticity, the package can be used to compute the velocity components. 
 The Laplacian can also be inverted and therefore the package can be used 
 to solve both the scalar and vector Poisson equations. Its use in model 
 development is demonstrated by a sample program that solves the time-dependent
 non-linear shallow-water equations. Accurate solutions are obtained via the 
 spectral method that uses both scalar and vector spherical harmonic transforms
 that are available to the user. The package also contains utility programs 
 for computing the associated Legendre functions, Gauss points and weights, 
 and multiple fast Fourier transforms. Programs are provided for both 
 equally-spaced and Gauss distributed latitudinal points as well as programs 
 that transfer data between these grids.

Package: libsphere0d
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Spherepack scientific library for geophysical processes
 SPHEREPACK is a collection of FORTRAN programs that facilitates computer 
 modeling of geophysical processes. The package contains programs for computing
 certain common differential operators including divergence, vorticity, 
 gradients, and the Laplacian of both scalar and vector functions. 
 .
 This package contains the shared library, libsphere.
 
Package: python-sphere
Section: python
Architecture: any
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsphere0d (=${binary:Version}), python-numpy
Provides: ${python:Provides}
Description: Python interface to the spherepack scientific library.
 This is a python interface to spherepack, a library for geophysical processes.

Package: python3-sphere
Section: python
Architecture: any
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsphere0d (=${binary:Version}), python3-numpy
Description: Python3 interface to the spherepack scientific library.
 This is a python3 interface to spherepack, a library for geophysical processes.
