## spherepack 3.3~a1

=== Src/Makefile ===
libsphere.a:    *.f90
	gfortran -c *.f90
	ld -r -o libsphere.a *.o

clean:
	rm -f *.o

%.o: %.f90
	$(FC) $(FFLAGS) -c $<
