=== debian/changelog ===
spherepack (3.3~a1-8build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:06:03 +0000

spherepack (3.3~a1-8build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:42:02 +0000

spherepack (3.3~a1-8) unstable; urgency=medium

  * Update numpy path in patch for numpy2 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Jan 2025 13:32:49 +0000

spherepack (3.3~a1-7) unstable; urgency=medium

  * Build against fortranobject.o to resolve missing symbols
  * Fix reference to 'import spherepack' as layout has changed.
    Closes: #1093051
  * Delete patches removed:
    - python-link.patch 
    - make.patch 
    - reproduciblity.patch 
    - setuptools.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Jan 2025 13:02:45 +0000

spherepack (3.3~a1-6) unstable; urgency=medium

  * Update build system to meson, enable python3.13 builds
    Closes: #1076926
  * Delete patches merged into meson build:
    - pkgconfig.patch
    - fortify.patch
    - 8byte.patch
  * Build-depend on python3-mesonpy
  * Drop B-D on python3-skbuild, setuptools
  * Update homepage
  * Drop obsolete Pre-Depends in d/control
  * Use fortran-support.mk, build for default Fortran only
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Jan 2025 18:50:37 +0000

spherepack (3.3~a1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062919

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:14:54 +0000

spherepack (3.3~a1-5) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Fix  install paths for python3*

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Aug 2021 12:01:41 +0100

spherepack (3.3~a1-4) unstable; urgency=medium

  * Set autopkgtests as superficial. Closes: #970971
  * Set default branches to /latest, in VCS-Git and d/gbp.conf
  * Move to debhelper-compat 13

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Oct 2020 10:58:48 +0100

spherepack (3.3~a1-3) unstable; urgency=medium

  * Fix FTBFS with gfortran-10. Closes: #957833

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 12:41:17 +0100

spherepack (3.3~a1-2) unstable; urgency=medium

  * Drop flang support temporarily for llvm transition
  * Ensure it builds when flang is not present 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Mar 2020 19:07:09 +0100

spherepack (3.3~a1-1) unstable; urgency=medium
 
  * Upstream release with double-precision variants
  * Support flang and gfortran builds
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3
  * Add basic python3 load test

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Mar 2020 11:56:12 +0000

spherepack (3.2-13) unstable; urgency=medium

  * Move to debhelper-compat 12
  * Standards-Version: 4.4.0
  * Drop python-sphere for python2 transition. Closes: #938527
  * Use pybuild build system for debhelper 12
  * Set LD_LIBRARY_PATH during build

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 16:28:00 +0100

spherepack (3.2-12) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Drop Obsolete X-Python* in d/control
  * B-D on gfortran | fortran-compiler
  * Change build references gfortran -> f95
  * Change --default-real-8 etc to -fdefault-real-8 for flang compatibility

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Feb 2019 10:09:06 +0000

spherepack (3.2-11) unstable; urgency=medium

  * Add C interface for spherepack, thanks to Christophe Trophime.
    Closes: #895265
  * Standards-Version: 4.1.4
  * Build against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jul 2018 17:48:10 +0100

spherepack (3.2-10) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Update homepage to https: version
  * Now use debhelper 10
  * B-D on dh-python
  * Set VCS to salsa.debian.org
  * Temp. disable setuptools patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Mar 2018 12:43:06 +0100
