=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: spherepack
 Section:  utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.2~) , gfortran, 
- python-numpy, python3-numpy, python3-all-dev,
- python-setuptools, python3-setuptools
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Homepage:  http://www.cisl.ucar.edu/css/software/spherepack/
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper-compat (= 13),  
+ dh-sequence-python3,
+ dh-fortran-mod (>= 0.31),
+ python3-numpy, 
+ python3-all-dev,
+ python3-mesonpy (>= 0.15.0~)
+Standards-Version: 4.7.0
+Homepage: https://www.cisl.ucar.edu/research-software/software
+Vcs-Browser: https://salsa.debian.org/science-team/spherepack.git
+Vcs-Git: https://salsa.debian.org/science-team/spherepack.git -b debian/latest
 
 Package: libsphere-dev
 Section: libdevel
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libsphere0d (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libsphere0t64 (= ${binary:Version})
 Description: Development files for Spherepack scientific library
  SPHEREPACK is a collection of FORTRAN programs that facilitates computer 
  modeling of geophysical processes. The package contains programs for computing
@@ -33,10 +37,13 @@
  equally-spaced and Gauss distributed latitudinal points as well as programs 
  that transfer data between these grids.
 
-Package: libsphere0d
+Package: libsphere0t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libsphere0d
+Replaces: libsphere0d
+Breaks: libsphere0d (<< ${source:Version})
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Spherepack scientific library for geophysical processes
@@ -47,20 +54,11 @@
  .
  This package contains the shared library, libsphere.
  
-Package: python-sphere
-Section: python
-Architecture: any
-Multi-Arch: foreign
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsphere0d (=${binary:Version}), python-numpy
-Provides: ${python:Provides}
-Description: Python interface to the spherepack scientific library.
- This is a python interface to spherepack, a library for geophysical processes.
-
 Package: python3-sphere
 Section: python
 Architecture: any
 Multi-Arch: foreign
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsphere0d (=${binary:Version}), python3-numpy
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsphere0t64 (=${binary:Version}), python3-numpy
 Description: Python3 interface to the spherepack scientific library.
  This is a python3 interface to spherepack, a library for geophysical processes.
